package filter;

import server.*;
import java.rmi.*;
public class  FilterPipeFactory
{
public static void main(String args[]) { 
	 if (System.getSecurityManager() == null) {
		  System.setSecurityManager(new RMISecurityManager());
	 }
	 try {
           CSearchFilterPipe seFP = new CSearchFilterPipe();
		  
		  seFP.upFilterVector.add(new Replacer())  ; 
		  
		  Naming.rebind("//"+args[0]+"/SearchEngineFilterPipe", seFP);
		  System.out.println("SearchEngine bound");
	 } catch (Exception e) {
		  System.err.println("SearchEngine exception: " + e.getMessage());
		  e.printStackTrace();
	 }
}

}
